Skip to content

Gets all of the contact duplicates in the system.

Request

This method will scan all contact duplicates and and return them to the caller.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

exclusiveStartKeystring

The start key, if you're making a subsequent request

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/contactDuplicates/{tenantId}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The contact duplicateswere retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
alt_address_postal_codestring(Alt Address Postal Code)

An alternative address postal code of the contact

email_addressstring(Email Address)

The primary email address

email_address2string(Email Address2)

Secondary email address

email_address3string(Email Address3)

Tertiary email address

first_namestring(First Name)

The contact's first name

first_name_metaphonesArray of strings(First Name Metaphones)

The metaphones calculated from the contact's first name

first_name_primary_metaphonestring(First Name Primary Metaphone)

The primary metaphone calculated from the contact's first name

first_name_secondary_metaphonestring(First Name Secondary Metaphone)

The secondary metaphone calculated from the contact's first name

highest_confidencenumber, (float)(Highest Confidence)

The highest confidence score within the possible duplicates excluding whitelisted records

home_address_postal_codestring(Home Address Postal Code)

The home address postal code of the contact

home_phone_numberstring(Home Phone Number)

Home phone number

idstring(ID)^[\w|-]+$required

The unique, string identifier of this contact

last_namestring(Last Name)

The contact's last name

last_name_metaphonesArray of strings(Last Name Metaphones)

The metaphones calculated from the contact's last name

last_name_primary_metaphonestring(Last Name Primary Metaphone)

The primary metaphone calculated from the contact's last name

last_name_secondary_metaphonestring(Last Name Secondary Metaphone)

The secondary metaphone calculated from the contact's last name

manual_duplicatesArray of strings(Manual Duplicates)

The IDs of contacts that have been manually identified as duplicates of this contact

middle_namestring(Middle Name)

The contact's middle name

mobile_phone_numberstring(Mobile Phone Number)

Mobile phone number

number_of_possible_duplicatesnumber, (float)(Number Of Possible Duplicates)

The number of possible duplicates excluding whitelisted records

organization_idstring(Organization)

The ID of the organization that the contact belongs to

other_phone_numbersArray of objects
phone_numbersArray of strings(Phone Numbers)

All of the contact's phone numbers

possible_duplicatesArray of objects

The contacts that are potentially duplicates of this contact

postal_codesArray of strings(Postal Codes)

The postal codes off all the contact's addresses

preferred_addressobject(Address)

A complete address

school_phone_numberstring(School Phone Number)

Fax phone number

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_match_directivestring(Sys Match Directive)
sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

whitelistArray of strings(Whitelist)

The IDs of contacts that have been manually identified as not duplicates of this contact. These IDs may appear in the possible_duplicates array but should not be presented

work_address_postal_codestring(Work Address Postal Code)

The work address postal code of the contact

work_mobile_phone_numberstring(Work Mobile Phone Number)

Mobile phone number for business unit

work_phone_numberstring(Work Phone Number)

Work phone number

]
Response
[ { "alt_address_postal_code": "string", "email_address": "string", "email_address2": "string", "email_address3": "string", "first_name": "string", "first_name_metaphones": [ … ], "first_name_primary_metaphone": "string", "first_name_secondary_metaphone": "string", "highest_confidence": 0.1, "home_address_postal_code": "string", "home_phone_number": "string", "id": "string", "last_name": "string", "last_name_metaphones": [ … ], "last_name_primary_metaphone": "string", "last_name_secondary_metaphone": "string", "manual_duplicates": [ … ], "middle_name": "string", "mobile_phone_number": "string", "number_of_possible_duplicates": 0.1, "organization_id": "string", "other_phone_numbers": [ … ], "phone_numbers": [ … ], "possible_duplicates": [ … ], "postal_codes": [ … ], "preferred_address": { … }, "school_phone_number": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_match_directive": "string", "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "whitelist": [ … ], "work_address_postal_code": "string", "work_mobile_phone_number": "string", "work_phone_number": "string" } ]